LibreOffice LibreOffice 6.1 SDK API Reference

Public Member Functions | List of all members
XCommandInfoChangeNotifier Interface Referencepublished

a notifier for changes of XCommandInfos. More...

`import"XCommandInfoChangeNotifier.idl";`

Inheritance diagram for XCommandInfoChangeNotifier:

## Public Member Functions
void | addCommandInfoChangeListener ([in] XCommandInfoChangeListener Listener)
| registers a listener for CommandInfoChangeEvents. More...
void | removeCommandInfoChangeListener ([in] XCommandInfoChangeListener Listener)
| removes a listener for CommandInfoChangeEvents. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

a notifier for changes of XCommandInfos.

Version
  1.0

Author
  Kai Sommerfeld

See also
  CommandInfoChangeEvent
  XCommandInfoChangeListener

## Member Function Documentation

## ◆ addCommandInfoChangeListener()

void addCommandInfoChangeListener | ( | [in] XCommandInfoChangeListener | Listener | ) |

registers a listener for CommandInfoChangeEvents.

Parameters

  Listener | the listener to add.

## ◆ removeCommandInfoChangeListener()

void removeCommandInfoChangeListener | ( | [in] XCommandInfoChangeListener | Listener | ) |

removes a listener for CommandInfoChangeEvents.

Parameters

  Listener | the listener to remove.

The documentation for this interface was generated from the following file:

- com/sun/star/ucb/XCommandInfoChangeNotifier.idl